콘텐츠로 건너뛰기

xAI Text to Speech

통합

모델 id xai/tts/v1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/tts/v1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.001 1 API 크레딧 이 페이지에서 실행

API 키 받기

내장 음성, 언어 선택 및 인라인 표현 음성 태그를 지원하는 텍스트-음성 변환

xAI · 오디오

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 50 / 15000

인라인 태그([laugh], [pause], [sigh]) 또는 래핑 태그(<whisper>text</whisper>, <slow>text</slow>)를 통해 표현력 있는 전달을 제어할 수 있는 음성 합성 텍스트입니다. 입력은 15,000자를 초과할 수 없습니다.

고급 voice · language · enable_safety_checker · output_format
기본값 eve

음성 합성에 사용할 기본 제공 음성입니다.

기본값 auto

다음 BCP-47 코드 중에서 언어를 선택합니다: en, zh, fr, de, hi, id, it, ja, ko, pt-BR, pt-PT, ru, es-MX, es-ES, tr, vi, bn, ar-EG, ar-SA, ar-AE. 자동 감지를 사용하려면 'auto'를 입력합니다.

생성된 오디오 형식의 구성입니다. 기본값은 24 kHz 샘플링 레이트와 128 kbps 비트레이트의 MP3입니다.

POST /run/xai/tts/v1?wait=20 견적 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/tts/v1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

xAI Text to Speech 정보

최대 15,000자의 텍스트를 음성으로 변환합니다. 28개의 내장 음성 중에서 선택하고 언어 코드 또는 자동 감지를 사용할 수 있습니다. 표현력 있는 전달을 위해 텍스트에 [laugh], [pause], [sigh]와 같은 태그나 <whisper>, <slow>와 같은 래핑 태그를 포함할 수 있습니다. `output_format`으로 오디오 파일을 설정합니다.

매개변수

이름유형 기본값허용됨 설명
text필수
유형string
≤ 15,000자
인라인 태그([laugh], [pause], [sigh]) 또는 래핑 태그(<whisper>text</whisper>, <slow>text</slow>)를 통해 표현력 있는 전달을 제어할 수 있는 음성 합성 텍스트입니다. 입력은 15,000자를 초과할 수 없습니다.
voice선택 사항
유형enum
기본값eve
carinazaganhelixorionlunairisaltairzenithperseusheliosluxkeplerrigelcosmocelesteursa
+12개 더 보기siriuslumencastornakshatlasauroralioraaraeveleorexsal
음성 합성에 사용할 기본 제공 음성입니다.
language선택 사항
유형enum
기본값auto
autoenar-EGar-SAar-AEbnzhfrdehiiditjakopt-BRpt-PT
+5개 더 보기rues-MXes-EStrvi
다음 BCP-47 코드 중에서 언어를 선택합니다: en, zh, fr, de, hi, id, it, ja, ko, pt-BR, pt-PT, ru, es-MX, es-ES, tr, vi, bn, ar-EG, ar-SA, ar-AE. 자동 감지를 사용하려면 'auto'를 입력합니다.
output_format선택 사항
유형object
생성된 오디오 형식의 구성입니다. 기본값은 24 kHz 샘플링 레이트와 128 kbps 비트레이트의 MP3입니다.
output_format.codec선택 사항
유형enum
기본값mp3
mp3wavpcmmulawalaw
오디오 인코딩에 사용할 코덱입니다. 선택 가능한 값은 mp3, wav, pcm, mulaw, alaw입니다.
output_format.sample_rate선택 사항
유형enum
기본값24000
80001600022050240004410048000
Hz 단위로 측정한 오디오 샘플링 주파수입니다.
output_format.bit_rate선택 사항
유형enum
320006400096000128000192000
MP3 출력의 비트레이트로, 기본값은 128000이며 bps 단위로 측정됩니다. 다른 코덱에는 적용되지 않습니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/tts/v1",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
audio
object {url, content_type, file_name, file_size}생성으로 만들어진 오디오 파일입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/xai/tts/v1.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt